Next Previous Up Contents
Next: explodeall
Up: Processing Filters
Previous: delcols

#### 6.1.14 `every`

Usage:

       every [-exact|-approx] <step>

Include only every `<step>`'th row in the result, starting with the first row. The optional `-approx`/`-exact` argument controls whether the selection needs to be exact; in some cases an approximate calculation can take advantage of parallelism where an exact one cannot.

The `<step>` argument may be given as a plain integer (`1000`), or with embedded underscores (`1_000`), or in exponential format (`1e3`).

Next Previous Up Contents
Next: explodeall
Up: Processing Filters
Previous: delcols

STILTS - Starlink Tables Infrastructure Library Tool Set
Starlink User Note256
STILTS web page: http://www.starlink.ac.uk/stilts/
Author email: m.b.taylor@bristol.ac.uk
Mailing list: topcat-user@jiscmail.ac.uk